<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black_alpha_20"
    android:paddingStart="24dp"
    android:paddingEnd="24dp">

    <LinearLayout
        android:id="@+id/contentView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:clickable="true"
        android:focusable="true"
        android:orientation="vertical">

        <ImageView
            android:id="@+id/anchorUpIv"
            android:layout_width="16dp"
            android:layout_height="32dp"
            android:layout_marginStart="16dp"
            android:src="@drawable/ic_dislike_anchor" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/background_shape_white_radius_8"
            android:orientation="vertical"
            android:padding="16dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableStart="@drawable/ic_discovery_popup_dislike"
                android:drawablePadding="4dp"
                android:text="不喜欢的原因："
                android:textColor="@color/text_title"
                android:textSize="@dimen/secondary_title_text_size"
                android:textStyle="bold" />

            <com.google.android.flexbox.FlexboxLayout
                android:id="@+id/reasonFlex"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                app:dividerDrawable="@drawable/shape_label_flexbox_divider"
                app:flexWrap="wrap"
                app:showDivider="middle" />
        </LinearLayout>

        <ImageView
            android:id="@+id/anchorDownIv"
            android:layout_width="16dp"
            android:layout_height="32dp"
            android:layout_marginStart="16dp"
            android:rotation="180"
            android:src="@drawable/ic_dislike_anchor"
            android:visibility="gone" />
    </LinearLayout>
</RelativeLayout>